# List boundary meters

List all the boundary meters that the authorization token has access to.

Endpoint: GET /boundary_meters
Version: 2.0
Security: oauth2

## Query parameters:

  - `page_before` (string)
    Return results from the page after this ID.

  - `page_after` (string)
    Return results from the page before this ID.

  - `page_size` (integer)
    Specify the number of results to return per page.

  - `expand` (array)
    Specify a url field to expand into a nested resource.

## Header parameters:

  - `EvEnergy-Version` (number)
    Specify the version of this endpoint to use.

  - `EvEnergy-User` (string)
    If the client is authenticated using Client Credentials, setting EvEnergy-User to a valid user ID allows requests to be made as if you were directly authenticated as that user.

## Response 200 fields (application/json):

  - `id` (string, required)
    Unique identifier for the given Boundary Meter.
    Example: bmet01J5DCXX8DMJDJYGVR1DW4T001

  - `url` (string, required)
    Example: https://api.ev.energy/v2/boundary_meters/bmet01J5DCXX8DMJDJYGVR1DW4T001

  - `model` (any)

  - `model.id` (string, required)
    Unique identifier for the given Boundary Meter Model.
    Example: bmmo01J5DCXX8DMJDJYGVR1DW4D001

  - `model.url` (string, required)
    Example: https://api.ev.energy/v2/boundary_meter_models/bmmo01J5DCXX8DMJDJYGVR1DW4D001

  - `model.name` (string, required)
    Example: Anduril

  - `model.make` (any)

  - `model.make.id` (string, required)
    Unique identifier for the given Boundary Meter Make.
    Example: bmma01J5DCXX8DMJDJYGVR1DW4M001

  - `model.make.url` (string, required)
    Example: https://api.ev.energy/v2/boundary_meter_makes/bmma01J5DCXX8DMJDJYGVR1DW4M001

  - `model.make.name` (string, required)
    Example: Gondor

  - `created_at` (string)
    When the boundary meter was first connected to ev.energy.
    Example: 2024-01-10T12:00:00Z

  - `latest_status_log` (any)
    Link by default, expanded data when ?expand=latest_status_log is used.

  - `latest_status_log.url` (string)
    Example: https://api.ev.energy/v2/boundary_meters/bmet01J5DCXX8DMJDJYGVR1DW4T001/status_logs/2024-04-17T09:39:45.984584Z/

  - `latest_status_log.sampled_at` (string)

  - `latest_status_log.boundary_meter` (any)

  - `latest_status_log.power_watts` (integer | null)
    Instantaneous power at the meter in W. Positive = import, negative = export.
    Example: 1500

  - `latest_status_log.status` (string)
    Derived operating state, inferred from power_watts.
    Enum: "IMPORTING", "EXPORTING", "IDLE", "UNKNOWN"

## Response 400 fields (application/problem+json):

  - `type` (string)
    Example: https://api.ev.energy/v2/problems/example-problem/

  - `status` (number)
    Example: 400

  - `title` (string, required)
    Example: Short description

  - `detail` (string, required)
    Example: Long, more specific description.

  - `instance` (string)
    Example: https://api.ev.energy/v2/users/user01HN2P75GBNFRJPCZJXEFVXH5E

  - `notification` (object)
    Something that the user should be informed about.

  - `notification.id` (string, required)
    Unique identifier for the Notification
    Example: notf67O36PLTFDB57M0E5L33JZLGM0

  - `notification.url` (string, required)
    Example: https://api.ev.energy/notifications/notf67O36PLTFDB57M0E5L33JZLGM0

  - `notification.message_id` (string, required)
    Internal identifier for this notification type. E.g. 'ERR0023'

  - `notification.category` (string, required)
    Category of this notification type
    Enum: "ACTIONABLE", "SERVICE", "RETRY", "MARKETING", "INTERNAL"

  - `notification.event_time` (string, required)
    The timestamp of the event described by this notification

  - `notification.short_text_title` (string, required)
    Short title for the notification

  - `notification.short_text_body` (string, required)
    Short description of the event being notified

  - `notification.detail_page_title` (string, required)
    Title of a help page giving more information about this notification

  - `notification.detail_page_body` (string, required)
    Text of a help page giving more information about this notification

  - `notification.external_link` (string | null, required)
    URL of a web page giving further information about this notification

  - `notification.external_button_label` (string, required)
    Text to be displayed on a button leading to the external_link location

  - `notification.read_at` (string)
    When the user examined the contents of this notification

  - `notification.resolved_at` (string)
    When the problem associated with this notification was resolved

## Response 401 fields (application/problem+json):

  - `status` (number)
    Example: 401

  - `title` (string, required)
    Example: Unauthorized

  - `detail` (string, required)
    Example: Authentication credentials were not provided.

## Response 403 fields (application/problem+json):

  - `status` (number)
    Example: 403

  - `title` (string, required)
    Example: Forbidden

  - `detail` (string, required)
    Example: You do not have permission to perform this action.

## Response 406 fields (application/problem+json):

  - `status` (number)
    Example: 406

  - `title` (string, required)
    Example: Not Acceptable

  - `detail` (string, required)
    Example: Could not satisfy the request Accept header.

## Response 429 fields (application/problem+json):

  - `type` (string)
    Example: https://api.ev.energy/v2/problems/example-problem/

  - `status` (number)
    Example: 400

  - `title` (string, required)
    Example: Short description

  - `detail` (string, required)
    Example: Long, more specific description.

  - `instance` (string)
    Example: https://api.ev.energy/v2/users/user01HN2P75GBNFRJPCZJXEFVXH5E

  - `notification` (object)
    Something that the user should be informed about.

  - `notification.id` (string, required)
    Unique identifier for the Notification
    Example: notf67O36PLTFDB57M0E5L33JZLGM0

  - `notification.url` (string, required)
    Example: https://api.ev.energy/notifications/notf67O36PLTFDB57M0E5L33JZLGM0

  - `notification.message_id` (string, required)
    Internal identifier for this notification type. E.g. 'ERR0023'

  - `notification.category` (string, required)
    Category of this notification type
    Enum: "ACTIONABLE", "SERVICE", "RETRY", "MARKETING", "INTERNAL"

  - `notification.event_time` (string, required)
    The timestamp of the event described by this notification

  - `notification.short_text_title` (string, required)
    Short title for the notification

  - `notification.short_text_body` (string, required)
    Short description of the event being notified

  - `notification.detail_page_title` (string, required)
    Title of a help page giving more information about this notification

  - `notification.detail_page_body` (string, required)
    Text of a help page giving more information about this notification

  - `notification.external_link` (string | null, required)
    URL of a web page giving further information about this notification

  - `notification.external_button_label` (string, required)
    Text to be displayed on a button leading to the external_link location

  - `notification.read_at` (string)
    When the user examined the contents of this notification

  - `notification.resolved_at` (string)
    When the problem associated with this notification was resolved

